Debian Bug report logs - #636150
opu: package xorg-server/2:1.4.2-10.lenny4

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Julien Cristau <jcristau@debian.org>

Date: Sun, 31 Jul 2011 18:21:01 UTC

Severity: normal

Tags: confirmed, lenny

Fixed in version 5.0.9

Done: Adam D. Barratt <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-x@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#636150; Package release.debian.org. (Sun, 31 Jul 2011 18:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
New Bug report received and forwarded. Copy sent to debian-x@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Sun, 31 Jul 2011 18:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: opu: package xorg-server/2:1.4.2-10.lenny4
Date: Sun, 31 Jul 2011 20:19:42 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: opu

This has been sitting in git for a while now (I'd actually forgotten
about this), but we may want to fix it anyway.

diff --git a/debian/changelog b/debian/changelog
index 24acf5f..d064054 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+xorg-server (2:1.4.2-10.lenny4) UNRELEASED; urgency=low
+
+  * glx: don't crash in SwapBuffers if we don't have a context
+    (closes: #603015).
+
+ -- Julien Cristau <jcristau@debian.org>  Wed, 10 Nov 2010 16:57:18 +0100
+
 xorg-server (2:1.4.2-10.lenny3) stable; urgency=low
 
   * Cherry-pick patch from upstream to set umask to a sane value in Xorg
diff --git a/debian/patches/12_glx-don-t-crash-in-SwapBuffers-without-a-context.diff b/debian/patches/12_glx-don-t-crash-in-SwapBuffers-without-a-context.diff
new file mode 100644
index 0000000..e89ba93
--- /dev/null
+++ b/debian/patches/12_glx-don-t-crash-in-SwapBuffers-without-a-context.diff
@@ -0,0 +1,33 @@
+From 48d47d3bdc951c11f442c7607b6e27bcd3627751 Mon Sep 17 00:00:00 2001
+From: Julien Cristau <jcristau@debian.org>
+Date: Wed, 10 Nov 2010 16:54:31 +0100
+Subject: [PATCH] glx: don't crash in SwapBuffers without a context
+
+Fixed upstream in d7ded953c4d263e3dd3374dc03eea19e80c05bc6 (Implment
+GLXPixmaps.)
+
+Signed-off-by: Julien Cristau <jcristau@debian.org>
+Tested-by: Fran├žois Guerraz <kubrick@fgv6.net>
+---
+ GL/glx/glxcmds.c |    5 +++--
+ 1 files changed, 3 insertions(+), 2 deletions(-)
+
+diff --git a/GL/glx/glxcmds.c b/GL/glx/glxcmds.c
+index 900a347..7330ff6 100644
+--- a/GL/glx/glxcmds.c
++++ b/GL/glx/glxcmds.c
+@@ -472,8 +472,9 @@ static int GetDrawableOrPixmap( __GLXcontext *glxc, GLXDrawable drawId,
+ 	if (pDraw->type == DRAWABLE_WINDOW) {
+ 	    VisualID vid = wVisual((WindowPtr)pDraw);
+ 
+-	    modes = _gl_context_modes_find_visual(glxc->pGlxScreen->modes,
+-						  vid);
++	    if (glxc)
++		modes = _gl_context_modes_find_visual(glxc->pGlxScreen->modes,
++						      vid);
+ 	} else {
+ 	    /*
+ 	    ** An X Pixmap is not allowed as a parameter (a GLX Pixmap
+-- 
+1.7.2.3
+
diff --git a/debian/patches/series b/debian/patches/series
index a6b826e..bf6cb32 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -8,6 +8,7 @@
 08_better_dpms_logging.diff
 10_dont_look_in_home_for_config.diff
 11_dont_crash_on_bad_dri_mode.diff
+12_glx-don-t-crash-in-SwapBuffers-without-a-context.diff
 13_debian_add_xkbpath_env_variable.diff
 14_default_screen_section.diff
 15_X86EMU-added-blacklist-for-I-O-port-in-0-0xFF-range.patch

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#636150; Package release.debian.org. (Mon, 01 Aug 2011 10:24:04 GMT) Full text and rfc822 format available.

Message #8 received at 636150@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Julien Cristau <jcristau@debian.org>, 636150@bugs.debian.org
Subject: Re: Bug#636150: opu: package xorg-server/2:1.4.2-10.lenny4
Date: Mon, 1 Aug 2011 12:20:11 +0200
[Message part 1 (text/plain, inline)]
Julien,

am Sun, Jul 31, 2011 at 08:19:42PM +0200 hast du folgendes geschrieben:
> This has been sitting in git for a while now (I'd actually forgotten
> about this), but we may want to fix it anyway.

please go ahead.

Thanks
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Added tag(s) confirmed and lenny. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Mon, 01 Aug 2011 10:33:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#636150; Package release.debian.org. (Mon, 01 Aug 2011 19:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 01 Aug 2011 19:15:08 GMT) Full text and rfc822 format available.

Message #15 received at 636150@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Philipp Kern <pkern@debian.org>, 636150@bugs.debian.org
Subject: Re: Bug#636150: opu: package xorg-server/2:1.4.2-10.lenny4
Date: Mon, 1 Aug 2011 21:12:36 +0200
On Mon, Aug  1, 2011 at 12:20:11 +0200, Philipp Kern wrote:

> Julien,
> 
> am Sun, Jul 31, 2011 at 08:19:42PM +0200 hast du folgendes geschrieben:
> > This has been sitting in git for a while now (I'd actually forgotten
> > about this), but we may want to fix it anyway.
> 
> please go ahead.
> 
Uploaded.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#636150; Package release.debian.org. (Wed, 03 Aug 2011 18:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 03 Aug 2011 18:57:03 GMT) Full text and rfc822 format available.

Message #20 received at 636150@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Julien Cristau <jcristau@debian.org>, 636150@bugs.debian.org
Cc: Philipp Kern <pkern@debian.org>
Subject: Re: Bug#636150: opu: package xorg-server/2:1.4.2-10.lenny4
Date: Wed, 03 Aug 2011 19:52:22 +0100
tag 636150 + lenny pending
thanks	

On Mon, 2011-08-01 at 21:12 +0200, Julien Cristau wrote:
> On Mon, Aug  1, 2011 at 12:20:11 +0200, Philipp Kern wrote:
> > am Sun, Jul 31, 2011 at 08:19:42PM +0200 hast du folgendes geschrieben:
> > > This has been sitting in git for a while now (I'd actually forgotten
> > > about this), but we may want to fix it anyway.
> > 
> > please go ahead.
> > 
> Uploaded.

Flagged for acceptance at the next dinstall; thanks.

Regards,

Adam





Added tag(s) pending. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Wed, 03 Aug 2011 18:57:07 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 5.0.9, send any further explanations to Julien Cristau <jcristau@debian.org> Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Thu, 06 Oct 2011 18:09:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 04 Nov 2011 07:41:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:59:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.